<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>  
<script src="//cdnjs.cloudflare.com/ajax/libs/list.js/1.5.0/list.min.js"></script>

<div id="test-list">
    <ul class="list">

    <li><p class="name">
        <a href="{{ path('app') }}">Tous les bus</a></p></li>
    {% set newArray = [] %}
    {% for data in datas|sort %}
        {% if data.nomcourtligne not in newArray %}
            <li>
                <p class="name">
                    <a href="/app/{{data.nomcourtligne}}">{{data.nomcourtligne}}</a>
                </p>
            </li>
        {% set newArray = newArray|merge([data.nomcourtligne]) %}
        {% endif %}
    {% endfor %}
 
    </ul>
    <ul class="pagination"></ul>
  </div>

<script type="text/javascript">
    var monkeyList = new List('test-list', {
  valueNames: ['name'],
  page: 13,
  pagination: true
});
        
</script>